QGIS Application - Bug report #14575
attribute table errors when spatialite primary key is text
2016-03-27 02:36 PM - Josef Kéllgarden

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Data Provider/SpatialLite

Affected QGIS version:2.14.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22548
Description

The attribute table is filled with "ERROR" for any spatialite layer having primary key of type text.
The problem is only affecting the attribute table, not db manager.

The problem is also only affecting spatialite layers with primary key of type text, not when using integer for pk.

See attached sample database and screen dumps.

(agis 2.14.0 and 2.14.1 also crashes frequently when working with spatialite layers, e.g. when selecting features, but | do not know if it is

related to the text primary keys)

Related issues:
Related to QGIS Application - Bug report # 14626: SpatiaL.ite layer not displa... Closed
Duplicated by QGIS Application - Bug report # 14999: Spatialite provider does... Closed

2016-04-07
2016-06-10

Associated revisions

Revision 10501745 - 2016-04-09 10:32 PM - Jiirgen Fischer

spatialite provider: prefer rowid as primary key where available (and some cleanups)

fixes #14575, fixes #14626

Revision 69e3c6f{7 - 2016-06-13 03:51 PM - Even Rouault

[Spatialite provider] prefer rowid as primary key where available

Adapted from 1050174532627ae44c4467e9911c1fca41e138e3 without the cleanups.

fixes #14575, fixes #14626, fixes #14999

History

#1 - 2016-04-09 09:01 AM - Giovanni Manghi

- OS version deleted (17.2)

- Operating System deleted (linux mint)

- Target version changed from Version 2.14 to Version 2.16

#2 - 2016-04-09 09:04 AM - Giovanni Manghi
- Affected QGIS version changed from 2.14.0 to 2.14.1
#3 - 2016-04-09 01:55 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"1050174532627ae44c4467e9911c1fca41e138e3".

#4 - 2016-06-13 06:54 AM - Even Rouault
- Target version changed from Version 2.16 to Version 2.14

Backported to 2.14
